# System template

Systems are defined using a YAML manifest with the following structure:

```yaml
# General section
name: Analytical functions
description: A collection of analytical functions
```

with the following properties:

| Field         | Type   | Value restrictions | Is required | Default Value   | Description                              |
| ------------- | ------ | ------------------ | ----------- | --------------- | ---------------------------------------- |
| `name`        | string | <p><br><br></p>    | TRUE        | <p><br><br></p> | The name of the system                   |
| `description` | string | <p><br><br></p>    | TRUE        | <p><br><br></p> | A description to characterize the system |

### Example <a href="#manifests-samples" id="manifests-samples"></a>

The following represents a system (for Cassandra related system)

```yaml
name: system1
description: my system with 3 nodes of cassandra
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/construct-templates/system-template.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
